### Enumeration

# WebKit SnapshotRegion

unstable since: 6.0

#### Declaration

    enum WebKit.SnapshotRegion

#### Description [src]

Enum values used to specify the region from which to get a `WebKitWebView` snapshot.

Available since: 6.0

#### Members

`WEBKIT_SNAPSHOT_REGION_VISIBLE`

  Specifies a snapshot only for the area that is visible in the webview.

  - Value: `0`
  - Nickname: `visible`
  - Available since: 6.0
`WEBKIT_SNAPSHOT_REGION_FULL_DOCUMENT`

  A snapshot of the entire document.

  - Value: `1`
  - Nickname: `full-document`
  - Available since: 6.0